Skip to main content
`Ctrl`+`K`

# numpy.testing.assert_no_warnings

testing.assert_no_warnings(*args, **kwargs)

  Fail if the given callable produces any warnings.

  If called with all arguments omitted, may be used as a context manager:

      with assert_no_warnings():
          do_something()

  The ability to be used as a context manager is new in NumPy v1.11.0.

  Parameters:
    func callable

      The callable to test.

    *args Arguments

      Arguments passed to func.

    **kwargs Kwargs

      Keyword arguments passed to func.

  Returns:
    The value returned by func.